Subject: Ticket Assigned - Order6296462791
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 20 Apr 2021 08:06:06 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order6296462791 
Once again, another order, another shipping company that refuses to do its job. I got a delivery notification yesterday at 3:10 pm and 8 minutes later when I tried to track the order from the max app it already says that I rejected the order! They never contacted me! If you don’t ship to my address then say it!
How lazy is the people you hire to do their job! I’m still waiting for the refund of my last order that never came because of the same issue. 
Definitely, this service suck! And you suck too for allow this to happen. 
Never buying online from you ever again!!

Enviado desde mi iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2427396